Для запуска этого приложения сначала необходимо установить

Для запуска этого приложения сначала необходимо установить

9 Benjol [2013-02-07 10:24:00]

У меня есть проект wpf, который я создал в VS2012, но теперь я пытаюсь взломать VS2010.

В файле csproj я удалил материал "требуемой версии". Я могу открыть проект в VS2010, я тоже могу его скомпилировать, но если я попытаюсь запустить его, я получаю сообщение "needs v4.5".

Я попытался удалить все ссылки и снова добавить их: все еще компилируется (поэтому все зависимости должны быть на моей (XP) машине).

Где еще я должен искать?

c# visual-studio-2010 .net-4.5

4 ответа

Проверьте в вашем файле .config .

Если он установлен на , тогда он будет искать .NET 4.5. (И, конечно, этот параметр вообще не используется во время компиляции, поэтому VS не будет выдавать никаких предупреждений или ошибок об этом при компиляции)

1 dutzu [2013-02-07 10:27:00]

Вам нужно изменить параметр Target Framework в свойствах проекта.

Если все остальное не удается, просто создайте новое решение с проектом приложения WPF и добавьте все файлы cs и все остальное из вашего другого решения и попробуйте.

Visual Studio 2012 отличается временем выполнения, чем 2010, и другой .Net-структурой, в которой VS2010 использует 4.0, VS2012 использует 4.5.

Please complete the security check to access youhack.ru

Why do I have to complete a CAPTCHA?

Completing the CAPTCHA proves you are a human and gives you temporary access to the web property.

What can I do to prevent this in the future?

If you are on a personal connection, like at home, you can run an anti-virus scan on your device to make sure it is not infected with malware.

If you are at an office or shared network, you can ask the network administrator to run a scan across the network looking for misconfigured or infected devices.

Читайте также:  Документ пропадает из очереди печати

Another way to prevent getting this page in the future is to use Privacy Pass. You may need to download version 2.0 now from the Chrome Web Store.

Cloudflare Ray ID: 57ed38887ef0413a • Your IP : 5.45.65.94 • Performance & security by Cloudflare

У меня есть МОФ проект, который я создал в VS2012, но я сейчас пытается взломать в VS2010.

В файле csproj я удалил «требуемую версию» вещи. Я могу открыть проект в VS2010, я могу скомпилировать его тоже, но если я пытаюсь запустить его, я получаю сообщение «потребности v4.5».

Я попытался удалить все ссылки и добавить их обратно: по-прежнему собирает (так все зависимости должны быть на моем XP) машины ().

Где еще я должен искать?

Вы должны изменить Target Framework набор в свойствах проекта.

Если все остальное терпит неудачу, то просто создать новое решение с проектом приложения WPF и добавить все файлы КС и все остальное с другим решением и попытаться затем.

Visual Studio 2012 имеет различное Время воспроизведения, чем 2010 и различные .NET Framework, whicle VS2010 использует 4.0 VS2012 используют 4.5.

Ссылка на основную публикацию
Голосовой бот в телеграмме
Голосовые сообщения помогают быстрее общаться с собеседником, однако не всегда их удобно слушать. Voicy решает эту проблему. Прежде всего бот...
Вы не можете подключиться к общей папке
Многие столкнулись с тем, что при обновлении Windows 10 до последних релизов из под обновлённой ОС перестали открываться сетевые папки....
Вы хотите узнать дорогу
Упражнения 119 - 256 Вопрос Составьте предложения с обращениями к незнакомому человеку в следующих ситуациях: вы хотите узнать дорогу; вы...
Голосовой ввод для андроид
Голосовой помощник Алиса ОК Google Предлагаем пользователям Андроид голосовой ввод текста на телефоне. Мы собрали лучшие мобильные приложения, позволяющие управлять...
Adblock detector